%global distname Hashrat

Summary: Hashing tool supporting several hashes and recursivity
Name: hashrat
Version: 1.23
Release: 1%{?dist}
License: GPL-3.0-only
Group: System Environment/Base
URL: https://github.com/ColumPaget/Hashrat
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{url}/archive/refs/tags/v%{version}.tar.gz#/%{distname}-%{version}.tar.gz
BuildRequires: sed
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Hashrat is a hash-generation utility that supports the md5, sha1, sha256,
sha512, whirlpool, jh-244, jh256, jh-384 and jh-512 hash functions, and
also the HMAC versions of those functions. It can output in 'traditional'
format (same as md5sum and shasum and the like), or it's own format.

Hashes can be output in octal, decimal, hexadecimal, uppercase hexadecimal
or base64. Hashrat also supports directory recursion, hashing entire devices,
generating a hash for an entire directory, operations in remote machines
and several other features. It has a 'CGI' mode that can be used as a
web-page to lookup hashes. This tool is useful in forensics investigations
and network security.

%prep
%setup -q -n %{distname}-%{version}
%{__sed} -i -e "s|runstatedir|runstate|g" configure
sed -i -e "s|-ln\ -s\ -r\ -f|-ln -s -f|g" libUseful-5/Makefile.in

%build
%configure --enable-xattr --enable-zlib --enable-ssl
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Mon Jan 13 2025 Simon Matter <simon.matter@invoca.ch> 1.23-1
- upgrade to 1.23

* Mon Jul 29 2024 Simon Matter <simon.matter@invoca.ch> 1.22-4
- cosmetic changes

* Wed Jul 24 2024 Simon Matter <simon.matter@invoca.ch> 1.22-3
- add configure options to fail if conditions are not met

* Tue Jul 23 2024 Simon Matter <simon.matter@invoca.ch> 1.22-1
- initial package
